function init()
    alarm = FindLights("alarm")
    lights = FindLights("light")
    btn = FindShape("emergency")
    btn2 = FindShape("emergency2")
    btn3 = FindShape("emergency3")
    btn4 = FindShape("emergency4")
    smoke = FindLocations("smoke")
    for i=1, #smoke do
        DebugPrint(smoke[i])
    end
    for i=1, #alarm do
        local light = alarm[i]
        SetLightEnabled(light, false)
    end
     
    for i=1, #lights do
        local light = lights[i]
        SetLightColor(light, 1, 1, 1)
    end
end
function tick(dt) 
    if (GetPlayerInteractShape() == btn and InputPressed("interact")) or (GetPlayerInteractShape() == btn2 and InputPressed("interact")) or (GetPlayerInteractShape() == btn3 and InputPressed("interact")) or (GetPlayerInteractShape() == btn4 and InputPressed("interact")) then
        lit = not lit
    end
    if lit then
        --PlayMusic("MOD/firealarm.ogg")
        for i=1, #alarm do
            local light = alarm[i]
            SetLightEnabled(light, true)
        end

        for i=1, #lights do
            local light = lights[i]
            SetLightColor(light, 0.1, 0.1, 0.1)
        end
         
        for i=1, #smoke do
            local locs = smoke[i]
            local t = GetLocationTransform(locs)

            ParticleType("smoke")
            ParticleAlpha(0.4, 0.2, "easeout", 0.02, 0.5)
            ParticleColor(.4, .38, .35, .7, .7, .7)
            ParticleRadius(2, 2, "easeout")
            ParticleCollide(0, 1, "constant", 1)
            SpawnParticle(t.pos, Vec(0,-6,0), 6)

        end
    
        
        
    else
        --StopMusic()
        for i=1, #lights do
            local light = lights[i]
            SetLightColor(light, 1, 1, 1)
        end
        for i=1, #alarm do
            local light = alarm[i]
            SetLightEnabled(light, false)
        end
    end
end