function init()
	local list = {
		Civilian = {
			Path = "MOD/main/Gore Ragdolls 2/Morvex's ragdoll pack/",
			Chars = {"male_01","male_02","male_04","male_05","male_06","male_07","male_08",
			"female_01","female_02","female_03","female_04","female_05","female_06"}
		},
		MaleCivilian = {
			Path = "MOD/main/Gore Ragdolls 2/Morvex's ragdoll pack/",
			Chars = {"male_01","male_02","male_04","male_05","male_06","male_07","male_08"}
		},
		FemaleCivilian = {
			Path = "MOD/main/Gore Ragdolls 2/Morvex's ragdoll pack/",
			Chars = {"female_01","female_02","female_03","female_04","female_05","female_06"}
		}
	}
	Location = FindShape("Spawn")
	Body = GetShapeBody(Location)
	Path = ""
	PossibleChars = {}
	for tag, data in pairs(list) do
		if GetTagValue(Body, "SpawnTag") == tag then
			Path = data.Path
			PossibleChars = data.Chars
		end
	end
	hasSpawned = false
end

function tick()
	if not hasSpawned then
		if InputPressed("lmb") then
		
			LT = GetBodyTransform(Body)

			local rndRag = PossibleChars[math.random(1,#PossibleChars)]

			local x,y,z = GetQuatEuler(LT.rot)
			local rotY = y
			Spawn(Path .. rndRag..".xml", Transform(VecAdd(LT.pos,Vec(0,0,0)), QuatEuler(0,rotY-35-90,0)))
			Delete(Body)
			hasSpawned = true
		end
	end
end